# layman – Manage Gentoo overlays

- Synopsis

- Requirements

- Parameters

- Examples

- Status

## Synopsis

- Uses Layman to manage an additional repositories for the Portage package manager on Gentoo Linux. Please note that Layman must be installed on a managed node prior using this module.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

- layman python module

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
list_url - |  | An URL of the alternative overlays list that defines the overlay to install. This list will be fetched and saved under `${overlay_defs}`/${name}.xml), where `overlay_defs` is readed from the Layman's configuration.
name - / required |  | The overlay id to install, synchronize, or uninstall. Use 'ALL' to sync all of the installed overlays (can be used only when `state=updated`).

state
-

Choices:
- present ←
- absent
- updated

Whether to install (`present`), sync (`updated`), or uninstall (`absent`) the overlay.

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates will not be validated. This should only be set to `no` when no other option exists. Prior to 1.9.3 the code defaulted to `no`.

## Examples

    # Install the overlay 'mozilla' which is on the central overlays list.
    - layman:
        name: mozilla

    # Install the overlay 'cvut' from the specified alternative list.
    - layman:
        name: cvut
        list_url: 'http://raw.github.com/cvut/gentoo-overlay/master/overlay.xml'

    # Update (sync) the overlay 'cvut', or install if not installed yet.
    - layman:
        name: cvut
        list_url: 'http://raw.github.com/cvut/gentoo-overlay/master/overlay.xml'
        state: updated

    # Update (sync) all of the installed overlays.
    - layman:
        name: ALL
        state: updated

    # Uninstall the overlay 'cvut'.
    - layman:
        name: cvut
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Jakub Jirutka (@jirutka)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.